MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029380Open CASCADE[OCCT] OCCT:Testspublic2017-12-12 11:292018-06-29 21:19
Reporternbv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029380: Delete "checknbshapes" from bugs/modalg_6/bug27341* test cases
DescriptionIndeed, to check if the result is correct, "checkprops" command is enough. Number of vertices and edges is not important.

Moreover, number of subshapes can be Platform-dependence-value (see issue 0029360) despite the result being OK on both platforms.

P.S.

"checknbshapes" is already deleted from "tests/bugs/modalg_6/bug27341_318" test case in frame of the issue #0029359. In frame of the current issue, it is necessary to delete "checknbshapes" in all other test cases.

Steps To Reproducebugs modalg_6 bug27341_*
TagsNo tags attached.
Test case numberbugs modalg_6 bug27341_*
Attached Files

- Relationships
related to 0029360newmsv Open CASCADE Different result in "bugs modalg_6 bug27341_318" on Windows and Linux platform 

-  Notes
(0073103)
git (administrator)
2017-12-25 13:04

Branch CR29380 has been created by msv.

SHA-1: 54b226657c3d86d67f4ace7c6a805368833abf81


Detailed log of new commits:

Author: msv
Date: Mon Dec 25 13:03:00 2017 +0300

    0029380: Delete "checknbshapes" from bugs/modalg_6/bug27341* test cases
(0073107)
msv (developer)
2017-12-25 14:38

I have created and built the branch in the Jenkins project CR29380-master-msv. No need to test all grids.
Dear bugmaster, please check "bugs modalg_6 bug27341_*" and integrate.
(0073113)
apn (administrator)
2017-12-25 15:26
edited on: 2017-12-25 16:56

Combination -
OCCT branch : CR29380 SHA - 54b226657c3d86d67f4ace7c6a805368833abf81
Products branch : master SHA - 8cfd04a34de609800e36c28f29ee8e42919a0098
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

Test case:
bugs modalg_6 bug27341_* - OK

(0073327)
git (administrator)
2018-01-11 11:10

Branch CR29380 has been deleted by kgv.

SHA-1: 54b226657c3d86d67f4ace7c6a805368833abf81

- Related Changesets
occt: master d9f2bc6b
Timestamp: 2017-12-25 10:03:00
Author: msv
Committer: apn
Details ] Diff ]
0029380: Delete "checknbshapes" from bugs/modalg_6/bug27341* test cases
mod - tests/bugs/modalg_6/bug27341_101 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_102 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_103 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_104 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_105 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_106 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_107 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_201 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_202 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_203 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_204 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_205 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_206 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_207 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_301 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_302 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_303 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_304 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_305 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_306 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_307 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_308 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_309 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_310 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_311 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_312 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_313 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_314 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_315 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_316 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_317 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_319 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_320 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_321 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_322 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_323 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_324 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_325 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_326 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_327 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_328 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_329 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-12-12 11:29 nbv New Issue
2017-12-12 11:29 nbv Assigned To => apn
2017-12-12 11:32 nbv Relationship added related to 0029360
2017-12-12 11:32 nbv Relationship added related to 0029359
2017-12-25 13:04 git Note Added: 0073103
2017-12-25 14:36 msv Assigned To apn => msv
2017-12-25 14:36 msv Status new => resolved
2017-12-25 14:36 msv Steps to Reproduce Updated View Revisions
2017-12-25 14:38 msv Note Added: 0073107
2017-12-25 14:38 msv Assigned To msv => bugmaster
2017-12-25 14:38 msv Status resolved => reviewed
2017-12-25 15:26 apn Test case number => bugs modalg_6 bug27341_*
2017-12-25 15:26 apn Note Added: 0073113
2017-12-25 15:26 apn Status reviewed => tested
2017-12-25 16:56 apn Note Edited: 0073113 View Revisions
2017-12-30 18:43 apn Changeset attached => occt master d9f2bc6b
2017-12-30 18:43 apn Assigned To bugmaster => apn
2017-12-30 18:43 apn Status tested => verified
2017-12-30 18:43 apn Resolution open => fixed
2018-01-11 11:10 git Note Added: 0073327
2018-02-20 12:58 aiv Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 aiv Fixed in Version => 7.3.0
2018-06-29 21:19 aiv Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker